import './index.less';

var WingBlank = {
    props: {
        size: {
            type: String,
            'default': 'base'
        }
    },
    render: function render(h) {
        var size = this.size,
            style = this.style,
            $slots = this.$slots;

        var className = {
            'sn-wing-blank': true
        };
        className['sn-wing-blank-' + size] = true;

        return h(
            'div',
            {
                'class': className,
                style: style
            },
            [$slots['default']]
        );
    }
};

export default WingBlank;