'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

require('./index.less');

var WingBlank = {
    props: {
        size: {
            type: String,
            'default': 'base'
        }
    },
    render: function render(h) {
        var size = this.size,
            style = this.style,
            $slots = this.$slots;

        var className = {
            'sn-wing-blank': true
        };
        className['sn-wing-blank-' + size] = true;

        return h(
            'div',
            {
                'class': className,
                style: style
            },
            [$slots['default']]
        );
    }
};

exports['default'] = WingBlank;
module.exports = exports.default;