'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _babelHelperVueJsxMergeProps = require('babel-helper-vue-jsx-merge-props');

var _babelHelperVueJsxMergeProps2 = _interopRequireDefault(_babelHelperVueJsxMergeProps);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var CarouselItem = {
    data: function data() {
        return {
            offset: 0
        };
    },
    beforeCreate: function beforeCreate() {
        this.$parent.swipes.push(this);
    },
    destroyed: function destroyed() {
        this.$parent.swipes.splice(this.$parent.swipes.indexOf(this), 1);
    },
    render: function render() {
        var h = arguments[0];
        var _$parent = this.$parent,
            vertical = _$parent.vertical,
            computedWidth = _$parent.computedWidth,
            computedHeight = _$parent.computedHeight;


        var style = {
            width: computedWidth + 'px',
            height: vertical ? computedHeight + 'px' : '100%',
            transform: 'translate' + (vertical ? 'Y' : 'X') + '(' + this.offset + 'px)'
        };

        return h(
            'div',
            (0, _babelHelperVueJsxMergeProps2['default'])([{
                'class': 'sn-carousel-item',
                style: style
            }, { on: this.$listeners }]),
            [this.$slots['default']]
        );
    }
};

exports['default'] = CarouselItem;
module.exports = exports.default;