'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.SnToast = exports.SnLoading = exports.SnCarousel = exports.SnCollapse = exports.SnPopup = exports.SnDropdownMenu = exports.SnEmpty = exports.SnListItem = exports.SnMstpUpload = exports.SnUpload = exports.SnSwitch = exports.SnPicker = exports.SnPickerView = exports.SnRangePicker = exports.SnRangePickerView = exports.SnDatetimePicker = exports.SnDatetimePickerView = exports.SnWhiteSpace = exports.SnWingBlank = exports.SnFlexBox = exports.SnIcon = exports.SnButton = undefined;

var _button = require('./button');

var _button2 = _interopRequireDefault(_button);

var _icon = require('./icon');

var _icon2 = _interopRequireDefault(_icon);

var _wingBlank = require('./wing-blank');

var _wingBlank2 = _interopRequireDefault(_wingBlank);

var _whiteSpace = require('./white-space');

var _whiteSpace2 = _interopRequireDefault(_whiteSpace);

var _flexBox = require('./flex-box');

var _flexBox2 = _interopRequireDefault(_flexBox);

var _datetimePickerView = require('./datetime-picker-view');

var _datetimePickerView2 = _interopRequireDefault(_datetimePickerView);

var _datetimePicker = require('./datetime-picker');

var _datetimePicker2 = _interopRequireDefault(_datetimePicker);

var _rangePickerView = require('./range-picker-view');

var _rangePickerView2 = _interopRequireDefault(_rangePickerView);

var _rangePicker = require('./range-picker');

var _rangePicker2 = _interopRequireDefault(_rangePicker);

var _pickerView = require('./picker-view');

var _pickerView2 = _interopRequireDefault(_pickerView);

var _picker = require('./picker');

var _picker2 = _interopRequireDefault(_picker);

var _switch = require('./switch');

var _switch2 = _interopRequireDefault(_switch);

var _upload = require('./upload');

var _upload2 = _interopRequireDefault(_upload);

var _mstpUpload = require('./mstp-upload');

var _mstpUpload2 = _interopRequireDefault(_mstpUpload);

var _listItem = require('./list-item');

var _listItem2 = _interopRequireDefault(_listItem);

var _empty = require('./empty');

var _empty2 = _interopRequireDefault(_empty);

var _dropdownMenu = require('./dropdown-menu');

var _dropdownMenu2 = _interopRequireDefault(_dropdownMenu);

var _popup = require('./popup');

var _popup2 = _interopRequireDefault(_popup);

var _collapse = require('./collapse');

var _collapse2 = _interopRequireDefault(_collapse);

var _carousel = require('./carousel');

var _carousel2 = _interopRequireDefault(_carousel);

var _loading = require('./loading');

var _loading2 = _interopRequireDefault(_loading);

var _toast = require('./toast');

var _toast2 = _interopRequireDefault(_toast);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var ENV = process.env.NODE_ENV;
if (ENV !== 'production' && ENV !== 'test' && typeof console !== 'undefined' && console.warn && typeof window !== 'undefined') {
    console.warn('You are using a whole package of sinosun-ui, ' + 'please use https://yqtdev.sinosun.com:18094/static/docs/component/index.html#/./foreword to reduce app bundle size.');
}

/* 通用 */


/* 布局 */

/* 导航 */

/* 数据录入 */


/* 数据展示 */


/* 反馈 */


/* 手势 */

/* 组合 */

/* 其他 */

var components = [_button2['default'], _icon2['default'], _flexBox2['default'], _wingBlank2['default'], _whiteSpace2['default'], _datetimePickerView2['default'], _datetimePicker2['default'], _rangePickerView2['default'], _rangePicker2['default'], _pickerView2['default'], _picker2['default'], _switch2['default'], _upload2['default'], _mstpUpload2['default'], _listItem2['default'], _empty2['default'], _dropdownMenu2['default'], _popup2['default'], _collapse2['default'], _carousel2['default'], _loading2['default'], _toast2['default']];

var install = function install(Vue) {
    components.map(function (component) {
        Vue.use(component);
    });
};

/* istanbul ignore if */
if (typeof window !== 'undefined' && window.Vue) {
    install(window.Vue);
}

exports.SnButton = _button2['default'];
exports.SnIcon = _icon2['default'];
exports.SnFlexBox = _flexBox2['default'];
exports.SnWingBlank = _wingBlank2['default'];
exports.SnWhiteSpace = _whiteSpace2['default'];
exports.SnDatetimePickerView = _datetimePickerView2['default'];
exports.SnDatetimePicker = _datetimePicker2['default'];
exports.SnRangePickerView = _rangePickerView2['default'];
exports.SnRangePicker = _rangePicker2['default'];
exports.SnPickerView = _pickerView2['default'];
exports.SnPicker = _picker2['default'];
exports.SnSwitch = _switch2['default'];
exports.SnUpload = _upload2['default'];
exports.SnMstpUpload = _mstpUpload2['default'];
exports.SnListItem = _listItem2['default'];
exports.SnEmpty = _empty2['default'];
exports.SnDropdownMenu = _dropdownMenu2['default'];
exports.SnPopup = _popup2['default'];
exports.SnCollapse = _collapse2['default'];
exports.SnCarousel = _carousel2['default'];
exports.SnLoading = _loading2['default'];
exports.SnToast = _toast2['default'];
exports['default'] = {
    install: install
};