'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
var ListItemMixin = {
    props: {
        icon: String,
        rightIcon: String,
        size: String,
        center: Boolean,
        required: Boolean,
        clickable: Boolean,
        titleStyle: null,
        titleClass: null,
        valueStyle: null,
        valueClass: null,
        labelClass: null,
        labelNumber: Number,
        title: [Number, String],
        value: [Number, String],
        label: [Number, String],
        border: {
            type: Boolean,
            'default': true
        },
        borderIndent: {
            type: Boolean,
            'default': true
        },
        valuePosition: {
            type: String,
            'default': 'right'
        }
    }
};

exports['default'] = ListItemMixin;
module.exports = exports.default;